package com.example.dentaldroid;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends Activity implements OnClickListener{
    /** Called when the activity is first created. */
	
	
	Button salir;
	Button acercade;
	Button lectorFeeds;
	
	Button buzon;
	Button calendario;
	Button contactos;
	Button cuentas;
	
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        salir = (Button) findViewById(R.id.salir);
        salir.setOnClickListener((OnClickListener) this);
        
        acercade = (Button) findViewById(R.id.acercade);
        acercade.setOnClickListener((OnClickListener)this);
        
        lectorFeeds = (Button) findViewById(R.id.rss);
        lectorFeeds.setOnClickListener((OnClickListener)this);
        
        buzon = (Button) findViewById(R.id.buzon);
        buzon.setOnClickListener((OnClickListener)this);
        
        calendario = (Button) findViewById(R.id.calendario);
        calendario.setOnClickListener((OnClickListener)this);
        
        contactos = (Button) findViewById(R.id.contactos);
        contactos.setOnClickListener((OnClickListener)this);
        
        cuentas = (Button) findViewById(R.id.cuentas);
        cuentas.setOnClickListener((OnClickListener)this);

    }
    
    
    //FUNCIONALIDAD DE LOS BOTONES DE LA BOTTOMBAR (ACERCA DE, SALIR..)
    public void onClick(View v){
    	
    	switch (v.getId()) {
		case R.id.salir:
			popIt("Salir", "Ests seguro de que quieres salir?");
			break;
		
		case R.id.acercade:
			Intent i = new Intent(this, AcercaDe.class);
			startActivity(i);
			break;
			
		case R.id.rss:
			Intent i2 = new Intent(this, LectorDeFeeds.class);
			startActivity(i2);
			break;
		
		case R.id.buzon:
			Intent i3 = new Intent(this, BandejaEntradaActivity.class);
			startActivity(i3);
			break;
			
		case R.id.calendario:
			Intent i4 = new Intent(this, CalendarActivity.class);
			startActivity(i4);
			break;
			
		case R.id.contactos:
			Intent i5 = new Intent(this, Contactos2TabsFinalActivity.class);
			startActivity(i5);
			break;
			
		case R.id.cuentas:
			Intent i6 = new Intent(this, PruebaCuentasTabs2Activity.class);
			startActivity(i6);
			break;	

		default:
			break;
		}
    }

    
    //CUADRO ALERT DIALOG CUANDO AL PULSAR BOTN EXIT.
	private void popIt(String title, String message) {
		// TODO Auto-generated method stub
		
		AlertDialog.Builder builder = new AlertDialog.Builder(this);
		builder.setTitle(title)
		.setMessage(message)
		.setIcon(R.drawable.map_pin_24)
		.setCancelable(false).setPositiveButton("S", new DialogInterface.OnClickListener() {
			
			@Override
			public void onClick(DialogInterface dialog, int which) {
				// TODO Auto-generated method stub
				
				MainActivity.this.finish();
			}
		})
		.setNegativeButton("No", new DialogInterface.OnClickListener() {
			
			@Override
			public void onClick(DialogInterface dialog, int which) {
				// TODO Auto-generated method stub
				
				dialog.cancel();
			}
		});
		
		builder.create().show();
		
	}
	

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_main, menu);
        return true;
    }
}
