package com.example.dentaldroid;

import android.os.Bundle;
import android.app.Activity;
import android.view.KeyEvent;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.View.OnKeyListener;
import android.webkit.WebView;
import android.widget.Button;
import android.widget.EditText;


public class BandejaEntradaActivity extends Activity {

	private WebView webView;
	private EditText urlText;
	private Button goButton;
	
	private String gmail = "http://www.gmail.com";
	private String gmail2 = "https://mail.google.com/mail/u/0/#inbox";
	
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.capabandeja);
        
        urlText = (EditText) findViewById(R.id.url_field);
        goButton = (Button) findViewById(R.id.go_button);
        webView = (WebView) findViewById(R.id.web_view);
        
        //Hacemos que aparezca directamente la url para acceder al correo de Gmail
        urlText.setText(gmail);
        
        goButton.setOnClickListener(new OnClickListener() {
			
			public void onClick(View v) {
				openBrowser();
			}
		});
        
        urlText.setOnKeyListener(new OnKeyListener() {
			
			public boolean onKey(View view, int keyCode, KeyEvent event) {
				
				if(keyCode == KeyEvent.KEYCODE_ENTER){
					openBrowser();
					return true;
				}
				
				return false;
			}
		});
        
    }
    
    /*private void openBrowser(){
    	Uri uri = Uri.parse(urlText.getText().toString());
    	Intent intent = new Intent(Intent.ACTION_VIEW, uri);
    	startActivity(intent);
    }*/
    
    private void openBrowser(){
    	webView.getSettings().setJavaScriptEnabled(true);
    	webView.loadUrl(urlText.getText().toString());
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.activity_main, menu);
        return true;
    }
}
