package com.example.dentaldroid;

import java.text.DateFormat;
import java.util.Date;
import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class EnvioEmail extends Activity implements OnClickListener{
	
	Button enviar;
	Button llamar;
	
	public static String nombre;
	public static String email;
	public static String telefono;
	public static String cadenafecha;
	public static String cadenahora;
	
	public static String textoasunto;
	
	public static String mensajepordefecto = "Rogamos su respuesta para confirmar la cita del asunto. Un saludo";
	
	

	public void onCreate(Bundle savedInstanceState){
		
		super.onCreate(savedInstanceState);
		setContentView(R.layout.enviaremail);
		
		Bundle extras = getIntent().getExtras();
		if(extras == null){
			return;
		}
		email = extras.getString("email");
		if(email != null){
			EditText destinatario = (EditText) findViewById(R.id.etEmail);
			destinatario.setText(email);
			
			EditText cuerpo = (EditText) findViewById(R.id.etBody);
			cuerpo.setText(mensajepordefecto);
		}
		telefono = extras.getString("telefono");
		
		nombre = extras.getString("nombre");
		//Aadido
		//Enviados.nombre = nombre;
		
		
		llamar = (Button) findViewById(R.id.btnCall);
		llamar.setOnClickListener((OnClickListener) this);
		
		enviar = (Button) findViewById(R.id.btnSend);
		enviar.setOnClickListener((OnClickListener) this);
		
		
	}

	@Override
	public void onClick(View v) {
		
		cadenafecha = DateFormat.getDateInstance().format(new Date());
		cadenahora = DateFormat.getTimeInstance().format(new Date());

		
		if(v.getId() == R.id.btnSend){
			EditText dest = (EditText) findViewById(R.id.etEmail);
			EditText asunto = (EditText) findViewById(R.id.etSubject);
			EditText mensaje = (EditText) findViewById(R.id.etBody);
			
			textoasunto = asunto.getText().toString();
			
			Intent i = new Intent(android.content.Intent.ACTION_SEND);
			i.setType("plain/text");
			i.putExtra(android.content.Intent.EXTRA_EMAIL, new String[]{dest.getText().toString()});
			i.putExtra(android.content.Intent.EXTRA_SUBJECT, asunto.getText().toString());
			i.putExtra(android.content.Intent.EXTRA_TEXT, mensaje.getText().toString());
			
			
			//TODO Mostrar un slo registro ------------------
			/*RegistroSingleton reg = RegistroSingleton.getInstance();
			reg.setNombre(nombre);
			reg.setEmail(email);
			reg.setFecha(cadenahora+"---"+cadenafecha);*/
			//------------------------------------------------
			
			/*
			//TODO Mostrar todos los registros ------------------
			RegistroSingleton reg = RegistroSingleton.getInstance();
			reg.aadeNombre(nombre);
			reg.aadeEmail(email);
			reg.aadeFecha(cadenahora+"---"+cadenafecha);
			//------------------------------------------------*/
			
			
			//TODO Mostrar todos los registros aadiendo el asunto del email -----------------
			RegistroSingleton reg = RegistroSingleton.getInstance();
			reg.aadeNombre(nombre);
			reg.aadeAsunto(textoasunto);
			reg.aadeEmail(email);
			reg.aadeFecha(cadenahora+"---"+cadenafecha);
			//------------------------------------------------
			
			startActivity(i);
			
		}else if(v.getId() == R.id.btnCall){
			Intent callIntent = new Intent(Intent.ACTION_CALL);
	        callIntent.setData(Uri.parse("tel:"+telefono));
	        startActivity(callIntent);
		}
		
	}


}
